﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=11.2
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Private LabelStep As B4XView
	Private ImageViewStep As B4XView
	Private ButtonPrevious As B4XView
	Private ButtonNext As B4XView
	
	Private StepNumber As Int
End Sub

'You can add more parameters here.
Public Sub Initialize As Object
	Return Me
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	'load the layout to Root
	Root.LoadLayout("Step")
	StepNumber = 1
	ReloadViews
End Sub

Private Sub B4XPage_Appear
	StepNumber = 1
	ReloadViews
End Sub

Private Sub ButtonPrevious_Click
	If StepNumber > 1 Then
		StepNumber = StepNumber - 1
		ReloadViews
	End If
End Sub

Private Sub ButtonNext_Click
	If StepNumber < 6 Then
		StepNumber = StepNumber + 1
		ReloadViews
	End If
End Sub

Private Sub ReloadViews
	Dim ShortDescriptions() As String
	ShortDescriptions = Array As String("Dummy", "Take Photo", "Sketch", "Underpaint", "Block In", "Background", "Add Detail")
	Dim ShortDescription As String
	ShortDescription = ShortDescriptions(StepNumber)
	B4XPages.SetTitle(Me, "Step " & Chr(StepNumber+48) & ": " & ShortDescription)
	Dim LongDescriptions() As String
	LongDescriptions = Array As String("Dummy", _
	                                   "Take photo, preferably with a good resolution on the camera", _
									   "Sketch the shells in pencil", _
									   "Do the initial underpainting thinly with a brush, so the original drawing shows through", _
									   "Block in shells with painting knives", _
									   "Put in background and table surface	", _
									   "Add detail to shells, such as dragging knives through the paint to create shell patterns")
	Dim LongDescription As String
	LongDescription = LongDescriptions(StepNumber)
	LabelStep.Text = LongDescription
	ImageViewStep.SetBitmap(LoadBitmap(File.DirAssets, Chr(StepNumber+48) & "-600x450.jpg"))
	If StepNumber < 2 Then
		ButtonPrevious.Enabled = False
		ButtonPrevious.Visible = False
	Else
		ButtonPrevious.Enabled = True
		ButtonPrevious.Visible = True
	End If
	If StepNumber > 5 Then
		ButtonNext.Enabled = False
		ButtonNext.Visible = False
	Else
		ButtonNext.Enabled = True
		ButtonNext.Visible = True
	End If
End Sub


'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.
