﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#End Region

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private BBCodeViewMe As BBCodeView
	Private TextEngine As BCTextEngine
	Private LabelStep1 As B4XView
	Private LabelStep2 As B4XView
	Private LabelStep3 As B4XView
	Private LabelStep4 As B4XView
	Private LabelStep5 As B4XView
	Private LabelStep6 As B4XView
	Private ImageViewStep1 As B4XView
	Private ImageViewStep2 As B4XView
	Private ImageViewStep3 As B4XView
	Private ImageViewStep4 As B4XView
	Private ImageViewStep5 As B4XView
	Private ImageViewStep6 As B4XView
	Private ButtonStart As B4XView
	Private StepPage As B4XStepPage
End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("Main")
	B4XPages.SetTitle(Me, "Painting Courses")
		
	TextEngine.Initialize(Root)
	BBCodeViewMe.TextEngine = TextEngine
	BBCodeViewMe.Text = $"
I am an artist and printmaker who specialises in pet portraits. 
So I can produce a beautiful painting of your furry friend(s) for a very reasonable price. 
I also accept commissions to do pictures of landscapes and buildings.
I also design and deliver in person painting courses.
The steps of a painting course entitled 'Acrylic Painting using Painting Knives' are shown below.
My web site is:
[url]https://jessicaroseartist.co.uk/[/url]
"$ 				 									  
	ImageViewStep1.SetBitmap(LoadBitmap(File.DirAssets, "1-200x150.jpg"))
	ImageViewStep2.SetBitmap(LoadBitmap(File.DirAssets, "2-200x150.jpg"))	
	ImageViewStep3.SetBitmap(LoadBitmap(File.DirAssets, "3-200x150.jpg"))
	ImageViewStep4.SetBitmap(LoadBitmap(File.DirAssets, "4-200x150.jpg"))
	ImageViewStep5.SetBitmap(LoadBitmap(File.DirAssets, "5-200x150.jpg"))
	ImageViewStep6.SetBitmap(LoadBitmap(File.DirAssets, "6-200x150.jpg"))
	
	StepPage.Initialize 
	B4XPages.AddPage("Step Page", StepPage)
	'adds StepPage to the B4XPages list
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub ButtonStart_Click
	B4XPages.ShowPage("Step Page")
End Sub

'Return True to close, False to cancel
Private Sub B4XPage_CloseRequest As ResumableSub
	Dim sf As Object = xui.Msgbox2Async("Finish?", "Painting Courses", "Yes", "", "No", Null)
	Wait For (sf) Msgbox_Result (Result As Int)
	If Result = xui.DialogResponse_Positive Then
		Return True
	End If
	Return False
End Sub
